+++
title = "So why do I need a backup?"
description = "Because RAID protects you against one and only one specific thing: disk failures."
weight = 2
type = "post"
+++

Having a number of disks in RAID may **seem** like a backup, especially if you're using a mirror mode. But this is **wrong**!

RAID protects you against one and only one thing: a disk failure. It does **not** protect you against any of the following things:

* Multiple disk failures beyond the RAID level chosen (e.g. both disks in a mirror, or 3 disks in a RAID-6).
* Failure of the RAID controller itself (especially when using hardware RAID), the computer itself, or the environment (a flood, or fire, perhaps).
* Data corruption on-disk (except for ZFS, and especially for BTRFS) from cosmic rays, or minor hardware or firmware failures.
* File corruption from bad writes or bit rot (except for ZFS), including whole-volume corruption from administrative mistakes (e.g. `mkfs` on an existing filesystem).
* Malicious or accidental deletion or modification of data by yourself or another party, including viruses.

The adage is simple: "RAID replicates **everything**, even the stuff you don't want, like the deletion of that file you needed."

For these reasons and more, RAID IS NOT A BACKUP!
